Loading...
Searching...
No Matches
Halide::Internal::IRMatcher::bindings< T > Struct Template Reference

`#include <IRMatch.h>`

## Static Public Attributes

static constexpr uint32_t | mask = std::remove_reference<T>::type::binds

## Detailed Description

template<typename T>
struct Halide::Internal::IRMatcher::bindings< T >

Definition at line 145 of file IRMatch.h.

## Member Data Documentation

## mask

template<typename T>

uint32_t Halide::Internal::IRMatcher::bindings< T >::mask = std::remove_reference<T>::type::binds

static constexpr

Definition at line 146 of file IRMatch.h.

Referenced by Halide::Internal::IRMatcher::BinOp< Op, A, B >::match(), Halide::Internal::IRMatcher::BinOp< Op, A, B >::match(), Halide::Internal::IRMatcher::BroadcastOp< A, B >::match(), Halide::Internal::IRMatcher::CmpOp< Op, A, B >::match(), Halide::Internal::IRMatcher::CmpOp< Op, A, B >::match(), Halide::Internal::IRMatcher::RampOp< A, B, C >::match(), Halide::Internal::IRMatcher::RampOp< A, B, C >::match(), Halide::Internal::IRMatcher::SelectOp< C, T, F >::match(), Halide::Internal::IRMatcher::SelectOp< C, T, F >::match(), Halide::Internal::IRMatcher::SliceOp< Vec, Base, Stride, Lanes >::match(), Halide::Internal::IRMatcher::VectorReduceOp< A, B, reduce_op >::match(), Halide::Internal::IRMatcher::VectorReduceOp< A, B, reduce_op >::match(), and Halide::Internal::IRMatcher::Intrin< intrin, Args >::match_args().

The documentation for this struct was generated from the following file:

- src/IRMatch.h